﻿<?php

add_action('init','of_options');
define('Options_Name', 'تنظیمات پوسته');

if (!function_exists('of_options')) {
function of_options(){


	$shortname = "my_theme";
	$themename = 'قالب من';

//Populate the options array
global $tt_options;
$tt_options = get_option('of_options');

$tt_pages = array();
$tt_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($tt_pages_obj as $tt_page) {
	$tt_pages[$tt_page->ID] = $tt_page->post_title; 
}
$select_a_page = array("select_a_page" => "برگه ای را انتخاب کنید:");
$wp_pages = $select_a_page + $tt_pages;


$tt_posts = array();
$tt_posts_obj = get_posts('numberposts=30');    
foreach ($tt_posts_obj as $tt_post) {
	$tt_posts[$tt_post->ID] = $tt_post->post_title; 
}
$select_a_post = array("select_a_post" => "نوشته ای را انتخاب کنید:");
$wp_posts = $select_a_post + $tt_posts;

$tt_categories = array();  
$tt_categories_obj = get_categories('hide_empty=0');
foreach ($tt_categories_obj as $tt_cat) {
	$tt_categories[$tt_cat->cat_ID] = $tt_cat->cat_name;
}
$select_a_cat = array('selec_a_category'=>'دسته ای را انتخاب کنید:');
$wp_categories = $select_a_cat + $tt_categories;


//Folder Paths for "type" => "images"
$sampleurl =  get_template_directory_uri() . '/admin/images/sample-layouts/';
$options = array(); // این خط را حذف نکنید 



/////////////////////////////////////////////// تنظیمات از این جا به بعد قرار گیرند ///////////////////////////////////////

/* Option Page 1 - All Options */	

$options[] = array( 
	"name" => 'تنظیمات عمومی',
	"type" => "heading",
	"slug" => 'ie_setting'
);

$options[] = array( 
	"name" => 'وضعیت تگ های هدینگ',
	"desc" => 'مشخص کنید تگ های عنوان در سربرگ سایت فعال باشد یا نه',
	"id" => "ie_radio",
	"std" => "radio_option_1",
	"type" => "radio",
	"options" => array(
		'radio_option_1' => 'فعال',
		'radio_option_2' => 'غیر فعال',
		)
);

$options[] = array( 
	"name" => 'هدر سایت',
	"desc" => 'عرض تصویر 980 پیکسل و ارتفاع آن به دلخواه شماست',
	"id" => "ie_logo",
	"std" => get_template_directory_uri().'/images/header.jpg',
	"type" => "image_upload"
);

$options[] = array( 
	"name" => 'پترن زمینه',
	"desc" => 'تصویری که در زمینه سایت تکرار می شود',
	"id" => "ie_bg",
	"std" => get_template_directory_uri().'/images/bg.gif',
	"type" => "image_upload"
);

$options[] = array( 
	"name" => 'فاوآیکون',
	"desc" => 'از این قسمت می توانید آیکون سایت خود را آپلود نمایید ، این آیکون می تواند با فرمت png یا gif و یا فرمت رایج آیکون یعنی ico باشد .',
	"id" => "ie_favicon",
	"std" => get_template_directory_uri().'/fav.png',
	"type" => "image_upload"
);

$options[] = array( 
	"name" => "لینک نصب تولبار",
	"desc" => "لینک نصب تولبار که به بنر واقع در صفحه اصلی داده خواهد شد - همراه با http://",
	"id" => "ie_toolbar",
	"std" => "http://Behinscript.ir",
	"type" => "text"
);

$options[] = array( 
	"name" => "لینک اجمن",
	"desc" => "لینک انجمن سایت خود را وارد نمایید - همراه با http://",
	"id" => "ie_forum",
	"std" => "http://forum.Behinscript.ir",
	"type" => "text"
);

$options[] = array( 
	"name" => "لینک فروشگاه",
	"desc" => "لینک فروشگاه سایت خود را وارد نمایید - همراه با http://",
	"id" => "ie_shop",
	"std" => "http://Behinscript.ir",
	"type" => "text"
);

$options[] = array( 
	"name" => 'کلمات کلیدی',
	"desc" => "برای جداسازی از ( , ) در حالت صفحه کلید انگلیسی استفاده کنید",
	"id" => "ie_keyword",
	"std" => "فروشگاه ایران اینترنت, قالب وردپرس, پوسته وردپرس",
	"type" => "textarea"
);


$options[] = array( 
	"name" => 'کد feed burner',
	"desc" => "در اینجا کد فرم feed burner را قرار دهید",
	"id" => "ie_feedburner",
	"std" => "",
	"type" => "textarea"
);

$options[] = array( 
	"name" => "لینک معتبر سازی HTML5",
	"desc" => "شما می توانید از طریق سایت http://validator.w3.org/ لینک معتبر سازی HTML وبسایت خود را دریافت نموده و در این فیلد قرار دهید",
	"id" => "ie_html_validation",
	"std" => "",
	"type" => "text"
);

$options[] = array( 
	"name" => "لینک معتبر سازی CSS3",
	"desc" => "شما می توانید از طریق سایت http://jigsaw.w3.org/css-validator/ لینک معتبر سازی CSS وبسایت خود را دریافت نموده و در این فیلد قرار دهید",
	"id" => "ie_css_validation",
	"std" => "",
	"type" => "text"
);

//================================================ ads

$options[] = array( 
	"name" => 'تبلیغات سمت چپ',
	"type" => "heading",
	"slug" => 'ie_ads_sidebarleft-1'
);

$options[] = array( 
	"name" => 'اولین بنر ستون کناری',
	"desc" => 'آپلود اولین بنر تبلیغاتی سایدبار سمت چپ',
	"id" => "ie_ads_sidebarleft-1",
	"std" => get_template_directory_uri().'/images/banner-120-0-px.jpg',
	"type" => "image_upload"
);

$options[] = array( 
	"name" => "لینک بنر اول",
	"desc" => "لینک اولین بنر سایدبار سمت چپ",
	"id" => "ie_link_01",
	"std" => "",
	"type" => "text"
);

$options[] = array( 
	"name" => 'دومین بنر ستون کناری',
	"desc" => 'آپلود دومین بنر تبلیغاتی سایدبار سمت چپ',
	"id" => "ie_ads_sidebarleft-2",
	"std" => get_template_directory_uri().'/images/banner-120-0-px.jpg',
	"type" => "image_upload"
);

$options[] = array( 
	"name" => "لینک بنر دوم",
	"desc" => "لینک اولین بنر سایدبار سمت چپ",
	"id" => "ie_link_02",
	"std" => "",
	"type" => "text"
);

//================================================ projects


$options[] = array( 
	"name" => 'تبلیغات بزرگ وسط',
	"type" => "heading",
	"slug" => 'ie_ads_center'
);

$options[] = array( 
	"name" => 'اولین بنر ',
	"desc" => 'آپلود اولین بنر تبلیغاتی بزرگ وسط صفحه',
	"id" => "ie_ads_center-1",
	"std" => get_template_directory_uri().'/images/banner-613-76-px.jpg',
	"type" => "image_upload"
);

$options[] = array( 
	"name" => "لینک بنر اول",
	"desc" => "لینک اولین بنر بزرگ وسط صفحه",
	"id" => "ie_link_03",
	"std" => "",
	"type" => "text"
);

$options[] = array( 
	"name" => 'دومین بنر ',
	"desc" => 'آپلود دومین بنر تبلیغاتی بزرگ وسط صفحه',
	"id" => "ie_ads_center-2",
	"std" => get_template_directory_uri().'/images/banner-613-76-px.jpg',
	"type" => "image_upload"
);

$options[] = array( 
	"name" => "لینک بنر دوم",
	"desc" => "لینک دومین بنر بزرگ وسط صفحه",
	"id" => "ie_link_04",
	"std" => "",
	"type" => "text"
);


//================================================ projects


$options[] = array( 
	"name" => 'تبلیغات بالا',
	"type" => "heading",
	"slug" => 'ie_ads_topads'
);

$options[] = array( 
	"name" => 'اولین بنر ',
	"desc" => 'آپلود اولین بنر',
	"id" => "ie_ads_topads-1",
	"std" => get_template_directory_uri().'/images/banner-468-60-px.jpg',
	"type" => "image_upload"
);

$options[] = array( 
	"name" => "لینک بنر اول",
	"desc" => "لینک اولین بنر",
	"id" => "ie_link_05",
	"std" => "",
	"type" => "text"
);

$options[] = array( 
	"name" => 'دومین بنر ',
	"desc" => 'آپلود اولین بنر',
	"id" => "ie_ads_topads-2",
	"std" => get_template_directory_uri().'/images/banner-468-60-px.jpg',
	"type" => "image_upload"
);

$options[] = array( 
	"name" => "لینک بنر دوم",
	"desc" => "لینک دومین بنر ",
	"id" => "ie_link_06",
	"std" => "",
	"type" => "text"
);


//================================================ about tab
$options[] = array( 
	"name" => 'درباره ایران اینترنت',
	"type" => "heading",
	"slug" => 'ie_about'
);


$options[] = array( 
	"name" => 'تیم طراحی و برنامه نویسی ایران اینترنت',
	"desc" => "",
	"id" => "ie_info",
	"std" => "
	<p>

تیم طراحی و برنامه نویسی ایران اینترنت که زیر مجموعه گروه طراحی و برنامه نویسی کافه وب می باشد کار و فعالیت خود را در زمینه ارائه مجموعه قالب های وردپرس و همچنین طراحی وبسایتهای تخصصی داینامیک و استاتیک در شهر تجاری فرهنگی بانه شروع کرد تا بتواند به مردم  خدمت رسانی کند و با سابقه ای درخشان در این زمینه گامی برای اشاعه فرهنگ استفاده از محصولات مجازی در چهارچوبی اصولی و استاندارد و همسو با قوانین جاری جمهوری اسلامی و پایبند به قانون کپی رایت ، برداشته و محصولاتی کاملا حرفه ای و کاربردی به کاربران و علاقمندان به این عرصه ، تقدیم نماید .
سامانه ی پیش رو کاری است  از گروه طراحی و برنامه نویسی کافه وب  که برای فروش و دانلود آنلاین مجموعه قالب های وردپرس طراحی و بارگذاری شده است که کاربران گرامی به راحتی از طریق درگاه پرداخت آنلاین این فایلها را خریداری نموده و به راحتی استفاده نمایند.
<br><br>
<span>
شماره پیام کوتاه : 30001223702386<br>
ایمیل روابط عمومی : info@Behinscript.ir<br>
</span>
</p>

	",
	"type" => "info"
);



//////////////////////////////////////////         پایان تنظیمات       //////////////////////////////////////////////////


update_option('of_template',$options); 			  
update_option('of_themename',$themename);   
update_option('of_shortname',$shortname);
return $options;
}
}
?>